Skip to main content
POST
/
api
/
v1
/
workspaces
/
{workspace_id}
/
users
Add User to Workspace
curl --request POST \
  --url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/workspaces/{workspace_id}/users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "01h8xyz123abc456def789ghi",
  "role": "member",
  "modules": [
    "architecto"
  ],
  "agent_ids": [
    "architecto"
  ]
}
'
{
  "data": {
    "id": "01kqh44d24dzs5hbpcyqkxbys2",
    "name": "Jane Smith",
    "email": "idickens@example.org",
    "role": null,
    "is_owner": false,
    "modules": [],
    "agent_ids": []
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

workspace_id
string
required

The ID of the workspace.

Body

application/json
id
string
required

The id of an existing record in the users table.

Example:

"01h8xyz123abc456def789ghi"

role
enum<string>
required
Available options:
owner,
admin,
developer,
member
Example:

"member"

modules
enum<string>[]
Available options:
agents,
knowledge_base,
phone_numbers,
call_history,
analytics
Example:
["architecto"]
agent_ids
string[]

The id of an existing record in the agents table.

Example:
["architecto"]

Response

201 - application/json
data
object